SingleClientConnManager.ConnAdapter (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.conn
Class SingleClientConnManager.ConnAdapter

    java.lang.Object
      org.apache.http.impl.conn.AbstractClientConnAdapter
          org.apache.http.impl.conn.AbstractPooledConnAdapter
              org.apache.http.impl.conn.SingleClientConnManager.ConnAdapter

All Implemented Interfaces:
  Closeable, ConnectionReleaseTrigger, HttpRoutedConnection, ManagedClientConnection, ManagedHttpClientConnection, org.apache.http.HttpClientConnection, org.apache.http.HttpConnection, org.apache.http.HttpInetConnection, org.apache.http.protocol.HttpContext

Enclosing class:
  SingleClientConnManager

    protected class SingleClientConnManager.ConnAdapter

extends AbstractPooledConnAdapter

The connection adapter used by this manager.

Field Summary

Fields inherited from class org.apache.http.impl.conn.AbstractPooledConnAdapter
`poolEntry`

Fields inherited from interface org.apache.http.protocol.HttpContext
`RESERVED_PREFIX`

Constructor Summary
`protected` | `SingleClientConnManager.ConnAdapter(SingleClientConnManager.PoolEntry entry, HttpRoute route)` Creates a new connection adapter.

Method Summary

Methods inherited from class org.apache.http.impl.conn.AbstractPooledConnAdapter
`assertAttached, assertValid, close, detach, getId, getPoolEntry, getRoute, getState, layerProtocol, open, setState, shutdown, tunnelProxy, tunnelTarget`

Methods inherited from class org.apache.http.impl.conn.AbstractClientConnAdapter
`abortConnection, assertNotAborted, assertValid, bind, flush, getAttribute, getLocalAddress, getLocalPort, getManager, getMetrics, getRemoteAddress, getRemotePort, getSocket, getSocketTimeout, getSSLSession, getWrappedConnection, isMarkedReusable, isOpen, isReleased, isResponseAvailable, isSecure, isStale, markReusable, receiveResponseEntity, receiveResponseHeader, releaseConnection, removeAttribute, sendRequestEntity, sendRequestHeader, setAttribute, setIdleDuration, setSocketTimeout, unmarkReusable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleClientConnManager.ConnAdapter

    protected SingleClientConnManager.ConnAdapter(SingleClientConnManager.PoolEntry entry,
                                                  HttpRoute route)

  Creates a new connection adapter.

  Parameters:
    `entry` - the pool entry for the connection being wrapped
    `route` - the planned route for this connection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.